(function () {
    var form = $('form[name="usersForm"]');
    $("select", form).on('change', function () {
        form.submit();
    });
    var rowsSelector = 'table tbody tr.sort';
    if ($(rowsSelector).length) {
        tinysort(rowsSelector, {attr: 'data-time', order: 'desc'});

        $('table th.link[data-sort-attr]').click(function (event) {
            // do not sort when changing select value
            if ($(event.target).closest('select').length) {
                return;
            }
            var el = $(this);
            var attr = el.data('sort-attr');
            var order = el.data('sort-order') || 'asc';
            tinysort(rowsSelector, {attr: attr, order: order})
        });
    }
    else {
        $('table th.link').each(function() {
            $(this).removeClass('link');
        })
    }
})();